import request from '@/utils/request'

//1.用户管理 start ------------------------------------->

//1.1 获取用户列表 
export function getUserList(params) {
  return request({
    url: '/user/getUserList',
    method: 'get',
    params
  })
}

//1.2 获取用户信息
export function getUserInfo(params) {
  return request({
    url: '/user/getUserInfo',
    method: 'get',
    params
  })
}

//1.3 创建用户
export function createUser(data) {
  return request({
    url: '/user/createUser',
    method: 'post',
    data
  })
}

//1.4 验证用户是否存在
export function verifyUserInfo(data) {
  return request({
    url: '/user/verifyUserInfo',
    method: 'post',
    data
  })
}

//1.5 获取用户信息
export function getUser(params) {
  return request({
    url: '/user/getUser',
    method: 'get',
    params
  })
}

//1.6 修改用户账号状态
export function upUserStatus(data) {
  return request({
    url: '/user/upUserStatus',
    method: 'post',
    data
  })
}

//1.7 修改用户信息
export function updateUser(data) {
  return request({
    url: '/user/updateUser',
    method: 'post',
    data
  })
}

//1.8 重置用户密码
export function resetPassword(data) {
  return request({
    url: '/user/resetPassword',
    method: 'post',
    data
  })
}

//用户管理 end ------------------------------------->